#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	mosquitto
Version		:	1.6.9
Release		:	16.2.0.rel%{?dist}
Summary		:	Open Source MQTT v3.1/v3.1.1 Broker

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	http://mosquitto.org/
			#http://mosquitto.org/files/source

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	c-ares
BuildRequires	:	gcc-c++
BuildRequires	:	openssl-devel
#-----------------------------------------------------------------------------
%description
Mosquitto is an open source message broker that implements
the MQ Telemetry Transport protocol version 3.1 and 3.1.1 MQTT
provides a lightweight method of carrying out messaging using
a publish/subscribe model. This makes it suitable for
"machine to machine" messaging such as with low power sensors 
or mobile devices such as phones, embedded computers or
micro-controllers like the Arduino.


#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc ChangeLog.txt CONTRIBUTING.md readme.md
%license LICENSE.txt
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config%{_sysconfdir}/%{name}/*.example
%{_bindir}/%{name}_*
%{_sbindir}/%{name}
%{_libdir}/lib%{name}.so.*
%{_libdir}/lib%{name}pp.so.*
%{_mandir}/man1/%{name}_*.1.gz
%{_mandir}/man5/%{name}.conf.5.gz
%{_mandir}/man7/%{name}-tls.7.gz
%{_mandir}/man7/mqtt.7.gz
%{_mandir}/man8/%{name}.8.gz

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Development headers and libraries for %{name}

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}pp.so
%{_libdir}/pkgconfig/lib%{name}.pc
%{_libdir}/pkgconfig/lib%{name}pp.pc
%{_mandir}/man3/lib%{name}.3.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
make 								\
	WITH_WEBSOCKETS=no					\
	WITH_SYSTEMD=no						\
	%{?_smp_mflags}						\
	all

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	prefix=%{_prefix}					\
	DESTDIR=%{buildroot}					\
	install

%{__mv}								\
	%{buildroot}%{_sysconfdir}/%{name}/%{name}.conf.example	\
	%{buildroot}%{_sysconfdir}/%{name}/%{name}.conf
#-----------------------------------------------------------------------------
%changelog
